Bug 160245 - default hostname (noname) not in /etc/hosts, so GNOME is giving alert
default hostname (noname) not in /etc/hosts, so GNOME is giving alert
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
: 160246 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-13 16:16 EDT by Ilja Kogan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 15:14:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ilja Kogan 2005-06-13 16:16:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
When doing a fresh install of FC4 the installer does not give a chance to choose a hostname for the computer, but chooses a default name "noname", but does not include it in /etc/hosts, so GNOME is giving everytime you log-in an error. For newbies this might be quite confusing.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Fresh install FC4
2.log in to gnome
3.
  

Actual Results:  Warning about the hostname not being written to /etc/hosts

Expected Results:  I should have been asked during the install for a hostname or noname should be placed in /etc/hosts

Additional info:
Comment 1 Ilja Kogan 2005-06-13 16:21:34 EDT
*** Bug 160246 has been marked as a duplicate of this bug. ***
Comment 2 Chris Lumens 2005-06-13 21:40:20 EDT
What sort of media are you installing from - CDs, images over a network, HTTP,
etc.?  Are you connected to a network while doing the installation?  If so, does
this network have a DHCP server?  The network configuration screen should have
given you the choice to have your hostname set by what you get from DHCP or
whatever you assign yourself.
Comment 3 Ilja Kogan 2005-06-14 07:46:50 EDT
FTP installation with a DHCP router in the server. I don't think it gave a
hostname to the box.I also don't really care about the hostname, but about the
warning. 
Comment 4 Jeremy Katz 2005-06-16 16:07:56 EDT
You can set a hostname on the network configuration screen.  What's more likely
to be the problem is that you're getting a hostname via dhcp that then isn't
able to be looked up (in which case you need to set a hostname manually).

Can you get the contents of /var/lib/dhcp/dhclient-eth0.leases?
Comment 5 Ilja Kogan 2005-06-22 05:40:39 EDT
lease {
  interface "eth0";
  fixed-address 192.168.178.23;
  option subnet-mask 255.255.255.0;
  option dhcp-lease-time 864000;
  option routers 192.168.178.1;
  option dhcp-message-type 5;
  option dhcp-server-identifier 192.168.178.1;
  option domain-name-servers 192.168.178.1;
  option dhcp-renewal-time 432000;
  option dhcp-rebinding-time 756000;
  option broadcast-address 192.168.178.255;
  renew 6 2005/6/25 17:25:52;
  rebind 4 2005/6/30 10:30:18;
  expire 5 2005/7/1 16:30:18;
}
lease {
  interface "eth0";
  fixed-address 192.168.178.23;
  option subnet-mask 255.255.255.0;
  option routers 192.168.178.1;
  option dhcp-lease-time 864000;
  option dhcp-message-type 5;
  option domain-name-servers 192.168.178.1;
  option dhcp-server-identifier 192.168.178.1;
  option dhcp-renewal-time 432000;
  option broadcast-address 192.168.178.255;
  option dhcp-rebinding-time 756000;
  renew 0 2005/6/26 00:49:18;
  rebind 5 2005/7/1 00:45:08;
  expire 6 2005/7/2 06:45:08;
}
Comment 6 Jeremy Katz 2005-06-22 11:00:45 EDT
Hmm, there's not a hostname there.  What are the contents of
/etc/sysconfig/network and /etc/hosts?
Comment 7 Ilja Kogan 2005-06-22 11:59:34 EDT
Now it is :
$ cat /etc/sysconfig/network
NETWORKING=yes
HOSTNAME=josephine.heim

$ cat /etc/hosts

# Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1       localhost.localdomain   localhost
127.0.0.1       josephine.heim          josephine

But: I changed /etc/hosts and have added the 2nd line manually. And in
system-config-network I changed "Get hostname from provider" (my translation
from German, might be called another way) to josephine. That didn't took away
the Message at the start of Gnome, so I added the 2nd line to /etc/hosts. I can
check ""Get hostname from provider" and post /var/lib/dhcp/dhclient-eth0.leases
once again.

Comment 8 John Thacker 2007-01-13 15:14:31 EST
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.